--
-- new spraytype, texture and function by TF 2020 MODS
-- help to register new fillTypes by Wopster/derelky
--
-- version 1.0.0.0

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)

    if node ~= 0 then

        local priceMANURE = g_fillTypeManager:getFillTypeByName("MANURE").pricePerLiter

        local compostTeaHudFile = "materialholder/hud_fill_compostTea.png"

        print("Register filltype: COMPOSTTEA");
        local compostTeaFillType = g_fillTypeManager:addFillType("COMPOSTTEA", g_i18n:getText("fillType_COMPOSTTEA"), true, priceMANURE * 2, 0.001, math.rad(5), compostTeaHudFile, compostTeaHudFile, modDirectory, nil, { 1, 1, 1 }, nil, false)
        local compostTeaSprayType = g_sprayTypeManager:addSprayType ("COMPOSTTEA", 0.015, "FERTILIZER", 1, isBaseType)

        loadI3DFile(modDirectory .. "materialholder/compostTea_Effect_Materialholder.i3d");

        local liquidCategory = {"SPRAYER"}
        for _,x in pairs(liquidCategory) do
            g_fillTypeManager:addFillTypeToCategory(compostTeaFillType.index, g_fillTypeManager.nameToCategoryIndex[x])
        end

        g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)

        end

end

function load(id, xmlFile, key,customEnvironment)
        local hasBarley =false
        local hasCanola =false
        local hasWheat =false
        local hasComposttea=false
        local object=id
        if object == nil then
        else
        hasSugarbeet =false
        hasWheat =false
        hasCompostTea=false
            for i,filltype in pairs(object.acceptedFillTypes) do

            local fillname=g_fillTypeManager.indexToName[i]

                if fillname == "BARLEY" then
                    hasBarley=true
                end;
                if fillname == "CANOLA" then
                    hasCanola=true
                end;
                if fillname == "WHEAT" then
                    hasWheat=true
                end;
                if fillname == "COMPOSTTEA" then
                    hasComposttea=true
                end;
            end;

                if (hasBarley and hasWheat and hasCanola) and not hasComposttea then
                    local filltypes = g_fillTypeManager:getFillTypeIndexByName("COMPOSTTEA")
                    local price = g_fillTypeManager:getFillTypeByName("COMPOSTTEA").pricePerLiter
                    object:addAcceptedFillType(filltypes,price,true,false)
                    object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOSTTEA")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WHEAT")]
                    object:initPricingDynamics()
                end;
        end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)
